Index: aclocal/check-bsps.m4
===================================================================
--- aclocal/check-bsps.m4	(revision 98c875a15b49a05149fd60a4057bba129deb3261)
+++ aclocal/check-bsps.m4	(revision 0ff37e686676453cfa6addb4ddfc71ada9e4c4dd)
@@ -18,4 +18,6 @@
         CVS*);;
         pxfl*);;
+        ac*);;
+        config*);;
         # Now account for BSPs with build variants
         gen68360)      rtems_bsp="$rtems_bsp gen68360 gen68360_040";;
Index: automake/lib.am
===================================================================
--- automake/lib.am	(revision 98c875a15b49a05149fd60a4057bba129deb3261)
+++ automake/lib.am	(revision 0ff37e686676453cfa6addb4ddfc71ada9e4c4dd)
@@ -11,8 +11,8 @@
 endef
 
-TMPINSTALL_FILES = $(PROJECT_RELEASE)/lib
-
 $(PROJECT_RELEASE)/lib:
 	@$(mkinstalldirs) $@
 
+TMPINSTALL_FILES = $(PROJECT_RELEASE)/lib
+
 .PRECIOUS: $(LIB)
Index: c/src/lib/libbsp/MERGE.PROCEDURE
===================================================================
--- c/src/lib/libbsp/MERGE.PROCEDURE	(revision 98c875a15b49a05149fd60a4057bba129deb3261)
+++ c/src/lib/libbsp/MERGE.PROCEDURE	(revision 0ff37e686676453cfa6addb4ddfc71ada9e4c4dd)
@@ -59,7 +59,7 @@
 templates for this (My advice: Try to avoid preinstallation and
 installation to the temporary installation tree whenever possible; Don't
-forget to add all sources which do not get installed installed by automake
+forget to add all sources which do not get installed by automake
 to automake's EXTRA_DIST, e.g. noinst_SCRIPTS, noinst_DATA have to be added
-to EXTRA_DIST).
+to EXTRA_DIST.
 
 Please let me know if you meet problems and if we/I can fix them. I
Index: src/lib/libbsp/Makefile.am.new
===================================================================
--- c/src/lib/libbsp/Makefile.am.new	(revision 98c875a15b49a05149fd60a4057bba129deb3261)
+++ 	(revision )
@@ -1,32 +1,0 @@
-#
-#  $Id$
-#
-
-AUTOMAKE_OPTIONS = foreign 1.4
-ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
-
-TMPINSTALL_FILES = \
-$(PROJECT_ROOT)/@RTEMS_BSP@/lib \
-$(PROJECT_ROOT)/@RTEMS_BSP@/lib/bsp_specs
-
-$(PROJECT_ROOT)/@RTEMS_BSP@/lib:
-	@$(mkinstalldirs) $@
-$(PROJECT_ROOT)/@RTEMS_BSP@/lib/bsp_specs: $(srcdir)/@RTEMS_BSP_SPECS@
-	$(INSTALL_DATA) $< $@
-
-# shmdr is a portable shared memory MPCI layer
-# We only build it if HAS_MP was defined
-if HAS_MP
-MP_DRIVERS = shmdr
-endif
-
-# If we are building a "real" BSP, then we need to descend into the
-# appropriate CPU specific directory.  The bare BSP is a special
-# case which can be built for any CPU and it resides at the same
-# level as the CPUs.  If we are building the bare BSP, then descend
-# into that directory.
-
-SUBDIRS = $(MP_DRIVERS) @RTEMS_LIBBSP_CPU_SUBDIR@
-
-include $(top_srcdir)/../../../../automake/subdirs.am
-include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc6xx/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/Makefile.am	(revision 98c875a15b49a05149fd60a4057bba129deb3261)
+++ c/src/lib/libcpu/powerpc/mpc6xx/Makefile.am	(revision 0ff37e686676453cfa6addb4ddfc71ada9e4c4dd)
@@ -5,5 +5,5 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-SUBDIRS = exceptions mmu clock wrapup
+SUBDIRS = exceptions mmu clock timer wrapup
 
 include $(top_srcdir)/../../../../../automake/subdirs.am
Index: make/custom/gensh2.cfg
===================================================================
--- make/custom/gensh2.cfg	(revision 98c875a15b49a05149fd60a4057bba129deb3261)
+++ make/custom/gensh2.cfg	(revision 0ff37e686676453cfa6addb4ddfc71ada9e4c4dd)
@@ -83,8 +83,8 @@
 define make-exe
 	$(LINK.c) -Wl,-Map,$(basename $@).map \
-	    $(LDLIBS) -o $(basename $@).exe \
+	    $(LDLIBS) -o $@ \
 	    $(LINK_OBJS) -lstdc++ $(LINK_LIBS)
-	$(NM) -n $(basename $@).exe > $(basename $@).num
-	$(SIZE) $(basename $@).exe
+	$(NM) -n $@ > $(basename $@).num
+	$(SIZE) $@
 endef
 endif
Index: tools/update/rtems-polish.sh
===================================================================
--- tools/update/rtems-polish.sh	(revision 98c875a15b49a05149fd60a4057bba129deb3261)
+++ tools/update/rtems-polish.sh	(revision 0ff37e686676453cfa6addb4ddfc71ada9e4c4dd)
@@ -12,6 +12,12 @@
 
 progname=`basename $0`
+rootdir=`dirname $0`
 
-perltools=tools/update
+# Get the absolute path to the perltools
+pwd=`pwd`
+cd $rootdir
+perltools=`pwd`
+cd $pwd
+
 ac_do=""
 am_do=""
@@ -32,9 +38,13 @@
 }
 
-if test ! -f VERSION; then
-  echo "${progname}:"
-  echo "        Please change directory to RTEMS's toplevel directory"
-  exit 1;
-fi
+# Check for auxillary files
+aux_files="../../VERSION ampolish acpolish cipolish"
+for i in ${aux_files}; do
+  if test ! -f ${perltools}/$i; then
+    echo "${progname}:"
+    echo "        Missing $perltools/$i"
+    exit 1;
+  fi
+done
 
 while test $# -gt 0; do
@@ -73,5 +83,5 @@
     ( cd $dest; 
       mv Makefile.in Makefile.in~;
-      ${pwd}/${perltools}/acpolish <Makefile.in~ >Makefile.in
+      ${perltools}/acpolish <Makefile.in~ >Makefile.in
       rm Makefile.in~
     )
@@ -88,5 +98,5 @@
     ( cd $dest; 
       mv Makefile.am Makefile.am~;
-      ${pwd}/${perltools}/ampolish <Makefile.am~ >Makefile.am
+      ${perltools}/ampolish <Makefile.am~ >Makefile.am
       rm Makefile.am~
     )
@@ -102,5 +112,5 @@
     ( cd $dest; 
       mv configure.in configure.in~;
-      ${pwd}/${perltools}/cipolish <configure.in~ >configure.in
+      ${perltools}/cipolish <configure.in~ >configure.in
       rm configure.in~
     )
